Summary: maildrop mail filter/mail delivery agent
Name: maildrop
Version: 2.2.0
Release: 1.ru6
License: GPL
Group: Applications/Mail
Source: http://download.sourceforge.net/sourceforge/courier/%{name}-%{version}.tar.bz2
Patch0: maildrop-2.2.0-maildir-linux.patch
Patch1: maildrop-2.0.2-subject.patch
Patch2: maildrop-2.0.2-errwritefail.patch
Url: http://www.courier-mta.org/maildrop/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: fam-devel gdbm-devel courier-authlib >= 0.60 courier-authlib-devel >= 0.60 pcre-devel

%package devel
Summary: development tools for handling E-mail messages
Group: Applications/Mail

%description
Maildrop is a combination mail filter/mail delivery agent.
Maildrop reads the message to be delivered to your mailbox,
optionally reads instructions from a file how filter incoming
mail, then based on these instructions may deliver mail to an
alternate mailbox, or forward it, instead of dropping the
message into your mailbox.

Maildrop uses a structured, real, meta-programming language in
order to define filtering instructions.  Its basic features are
fast and efficient.  At sites which carry a light load, the
more advanced, CPU-demanding, features can be used to build
very sophisticated mail filters.  Maildrop deployments have
been reported at sites that support as many as 30,000
mailboxes.

Maildrop mailing list:
http://lists.sourceforge.net/lists/listinfo/courier-maildrop

This version is compiled with support for GDBM database files,
maildir enhancements (folders+quotas), and userdb.

%description devel
The maildrop-devel package contains the libraries and header files
that can be useful in developing software that works with or processes
E-mail messages.

Install the maildrop-devel package if you want to develop applications
which use or process E-mail messages.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
COURIERAUTHCONFIG=/usr/bin/courierauthconfig
export COURIERAUTHCONFIG

%configure \
	--enable-use-dotlock=0 \
	--with-devel \
	--enable-userdb \
	--enable-maildirquota \
	--enable-syslog=1 \
	--enable-restrict-trusted=0 \
	--enable-sendmail=/usr/sbin/sendmail \
	--with-default-maildrop=./Maildir \
	--enable-trusted-users='root mail daemon postmaster qmaild mmdf' 

make %{_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall MAILDROPUID='' MAILDROPGID=''

# we don't want these html files installed here
%{__mv} %{buildroot}/%{_datadir}/%{name}/html htmldoc
rmdir %{buildroot}/%{_datadir}/%{name}

#remove .la files
for i in `find . -name '*.la'`; do rm $i; done

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc htmldoc maildir/README.*.txt
%doc AUTHORS ChangeLog COPYING README README.postfix INSTALL NEWS UPGRADE maildroptips.txt

%attr(-, root, mail) %{_bindir}/maildrop
%attr(-, root, mail) %{_bindir}/lockmail
%{_bindir}/mailbot
%{_bindir}/maildirmake
%{_bindir}/deliverquota
%{_bindir}/reformail
%{_bindir}/makemime
%{_bindir}/makedat
%{_bindir}/makedatprog
%{_bindir}/reformime
%{_mandir}/man[1578]/*

%files devel
%defattr(-, root, root)
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*

%changelog
* Thu Jan 12 2012 Jarek Sedlacek <jarek@nbcs.rutgers.edu> 2.2.0-1.ru6
- CentOS 6 Build
* Fri Oct 30 2009 Brian Schubert <schubert@nbcs.rutgers.edu> 2.2.0-1.ru
- Updated to version 2.2.0
- New maildir patch with modified paths to work on linux

* Tue Dec 23 2008 Brian Schubert <schubert@nbcs.rutgers.edu> 2.0.4-4.ru
- Added pcre-devel to BuildRequires

* Fri Aug 29 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> 2.0.4-3
- changed how .la files are removed so it works on 32 bit machines

* Mon Mar 31 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> 2.0.4-2
- added rutgers patches, added courier-authlib BuildRequires  and env variable
- matched configure options to those used on 2.0.4 rutgers solaris version

* Sun Feb 26 2006 Douglas E. Warner <silfreed@silfreed.net> 2.0.4-1
- Updated to version 2.0.4

* Sun Feb 26 2006 Douglas E. Warner <silfreed@silfreed.net> 2.0.2-1
- Updated to version 2.0.2
- removed %{_datadir}/maildrop

* Thu Dec 29 2005 Douglas E. Warner <silfreed@silfreed.net> 2.0.1-1
- first version with a changelog
- removed a bunch of defines I don't use
- changed most defattr's from bin,bin to root,root
- changed setup,build,install,clean sections to use more macros
- removed man package

